Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class CPTest

    java.lang.Object
      com.singularsys.jeptests.JepTest
          com.singularsys.jeptests.CPTest

Direct Known Subclasses:
  RealEvalTest

    public class CPTest

extends JepTest

Tests for the configurable parser.

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`CPTest()`

Method Summary
`void` | `setUp()` Sets up the parser.
`void` | `testAddOp()` Tests the addOperator method
`void` | `testBug61()`
`void` | `testCPStrings()`
`void` | `testEmptyEqn2()`
`void` | `testMultiDimArrayAccess()`
`void` | `testMultiDimArrayPrint()`

Methods inherited from class com.singularsys.jeptests.JepTest
`assertEqNodes, calcValue, calcValue, compareRecursive, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, printTestHeader, testAssign, testBinom, testBlankParser, testCaseString, testChangeVariable, testChangeVariableComplex, testComments, testComplex, testEmptyEqn, testEvalExceptions, testEvaluate, testEvaluateComplex, testEvaluateString, testExpectedTokenSequence, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLazyLogicalBug, testListAccess, testLogarithm, testLogical, testMacroFunction, testMultiDimArray, testMultiLine, testMultiplyBug, testNaN, testNoAssign, testNumbers, testNumParam, testParseException, testPlusPlus, testRecursiveMacroFunction, testSemiColon, testSetAllowUndeclared, testSimpleSum, testStrings, testStringsFun, testSwitch, testUminusPower, testX2Y, valueTest, valueTest, valueTestFail, valueTestNaN, valueTestString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPTest

    public CPTest()

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `JepTest`

### testAddOp

    public void testAddOp()
                   throws ParseException

  Tests the addOperator method

  Throws:
    `ParseException`

### testCPStrings

    public void testCPStrings()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEmptyEqn2

    public void testEmptyEqn2()
                       throws java.lang.Exception

  Overrides:
    `testEmptyEqn2` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testBug61

    public void testBug61()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiDimArrayAccess

    public void testMultiDimArrayAccess()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMultiDimArrayPrint

    public void testMultiDimArrayPrint()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep